function doSizeWork(languageName) {
    var d = document;
    var selectedType = d.getElementById("styleDropDown").value;
    var selectedShape = d.getElementById("typeDropDown").value;
    var dimA = d.getElementById("dimAtext").value;
    var dimB = d.getElementById("dimBtext").value;
    var dimC = d.getElementById("dimCtext").value;
    var dimD = d.getElementById("dimDtext").value;
    var dimE = d.getElementById("dimEtext").value;
    var dimF = d.getElementById("dimFtext").value;
    var dimG = d.getElementById("dimGtext").value;
    var dimH = d.getElementById("dimHtext").value;
    var dimAdiff = d.getElementById("dimAselect").value;
    var dimBdiff = d.getElementById("dimBselect").value;
    var dimCdiff = d.getElementById("dimCselect").value;
    var dimDdiff = d.getElementById("dimDselect").value;
    var dimEdiff = d.getElementById("dimEselect").value;
    var dimFdiff = d.getElementById("dimFselect").value;
    var dimGdiff = d.getElementById("dimGselect").value;
    var dimHdiff = d.getElementById("dimHselect").value;
    doSizeAjax(dimA, dimB, dimC, dimD, dimE, dimF, dimG, dimH,
    dimAdiff, dimBdiff, dimCdiff, dimDdiff, dimEdiff, dimFdiff, dimGdiff, dimHdiff, selectedType, selectedShape, languageName);


}

function doSizeAjax(dimA, dimB, dimC, dimD, dimE, dimF, dimG, dimH,
dimAdiff, dimBdiff, dimCdiff, dimDdiff, dimEdiff, dimFdiff, dimGdiff, dimHdiff, selectedType, selectedShape, languageName) {
    for (var i = 0; i < arguments.length; i++) {
        if (arguments[i] == '') {
            arguments[i] = 0;
        }
    }
    httpObject = getHTTPObject();
    if (httpObject != null) {
        var url = "../../../Ajax/size/SizeApplDetailAjax.aspx?dimA="
        + dimA + "&dimB=" + dimB + "&dimC=" + dimC + "&dimD=" + dimD + "&dimE="
        + dimE + "&dimF=" + dimF + "&dimG=" + dimG + "&dimH=" + dimH
        + "&dimAdiff=" + dimAdiff + "&dimBdiff=" + dimBdiff + "&dimCdiff=" + dimCdiff
        + "&dimDdiff=" + dimDdiff + "&dimEdiff=" + dimEdiff + "&dimFdiff=" + dimFdiff
        + "&dimGdiff=" + dimGdiff + "&dimHdiff=" + dimHdiff + "&selectedType=" + selectedType + "&selectedShape=" + selectedShape + "&languageName=" + languageName;
        httpObject.open("GET", url, true);
        httpObject.onreadystatechange = function() {
            if (httpObject.readyState == (1 || 0)) {
                jQuery("#ajaxStatementInfo").show();
                jQuery("#ajaxStatementInfo").html("<img src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
            }
            if (httpObject.readyState == 4) {
                jQuery("#ajaxStatementInfo").hide();
                var response = httpObject.responseText;
                if (response == 'No filters.') {
					jQuery("#ajaxStatementInfo").html(getTranslation("sizesNoFilters", languageName)).show();
				} else {
					jQuery("#searchLeftSide").html(response).fadeIn('fast');
				}
            } //if state
        }  //func
        httpObject.send(null);
    } //if
}